/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for InstrumentApproach
 */
public enum EnumCV_InstrumentApproach 
{
	//CID 6065 Instrument Approach
	MEDIAL_G_A109("G-A109"),
	LATERAL_G_A104("G-A104"),
	SUPERIOR_G_A116("G-A116"),
	INFERIOR_G_A115("G-A115"),
	INFEROLATERAL_TO_SUPEROMEDIAL_111432("111432"),
	INFEROMEDIAL_TO_SUPEROLATERAL_111433("111433"),
	SUPEROLATERAL_TO_INFEROMEDIAL_111434("111434"),
	SUPEROMEDIAL_TO_INFEROLATERAL_111435("111435");

	private String value;
	
	EnumCV_InstrumentApproach(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
